.pagination {
    padding: 0;
    list-style: none;
    margin: rem(8) 0 0 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: rem(14);
    line-height: 125%;

    &__item {

        &:not(:last-child) {
            margin-right: rem(16);
        }
    }

    &__link {
        fill: #9FB2BF;
        color: $gray-600;
        height: rem(34);
        padding-top: rem(2);
        text-decoration: none;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        &:hover {
            fill: $purple;
            color: $purple;
            text-decoration: none;
        }

        &--arrow {
            font-size: 0;
            line-height: 0;
            padding-top: 0;

            i {
                height: rem(16);
                flex-shrink: 0;
                display: inline-block;
            }
        }

        &.active {
            font-weight: 600;
            color: $purple;
            cursor: default;
        }
    }

    @include media-breakpoint-up(md) {
        margin-top: rem(38);
        font-size: rem(16);

        &__item {

            &:not(:last-child) {
                margin-right: rem(46);
            }
        }

        &__button {
            width: rem(38);
            height: rem(38);
            font-size: rem(18);
            line-height: rem(18);
        }

        &__link {
            padding-top: 0;

            &--arrow {

                i {
                    height: rem(20);
                    flex-shrink: 0;
                    display: inline-block;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {}
}

.pagination-nav {
    position: relative;

    &__button {
        margin: 0;
        padding: 0;
        width: rem(34);
        height: rem(34);
        cursor: pointer;
        color: $purple;
        font-size: rem(16);
        line-height: rem(16);
        text-decoration: none;
        background: transparent;
        border: 1px solid $gray-200;
        display: flex;
        align-items: center;
        justify-content: center;

        &:hover {
            border-color: $purple;
        }
    }

    &__content {
        right: 0;
        z-index: 200;
        bottom: 100%;
        position: absolute;
        padding-bottom: rem(16);
        opacity: 0;
        visibility: hidden;
    }

    &__menu {
        font-weight: 500;
        font-size: rem(13);
        line-height: rem(16);
        display: flex;
        flex-wrap: wrap;
        width: rem(180);
        background: $white;
        position: relative;
        box-shadow: 0px 4px 50px 0px rgba(107, 116, 123, 0.25);

        &:before {
            top: 100%;
            right: rem(8);
            content: '';
            display: block;
            position: absolute;
            border: 10px solid transparent;
            border-top: 10px solid $white;
        }
    }

    &__link {
        color: $dark;
        width: rem(36);
        height: rem(36);
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .25s;

        &:hover {
            color: $purple;
            text-decoration: none;
            transition: .25s;
        }
    }

    &:hover {

        .pagination-nav {

            &__button {
                border-color: $purple;
            }

            &__content {
                opacity: 1;
                visibility: visible;
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__button {
            width: rem(38);
            height: rem(38);
        }

        &__link {
            width: rem(40);
            height: rem(40);
        }

        &__menu {
            width: rem(280);
            font-size: rem(15);
            line-height: rem(20);
        }
    }


    @include media-breakpoint-up(xl) {

        &__menu {
            width: rem(360);
        }
    }
}
